PAGESEND(8C)

NAME
pagesend - HylaFAX IXO/TAP and UCP transmit program

SYNOPSIS
/usr/libexec/hylafax/pagesend [ -B ] [ -l ] [ -p ] [ -c config ] -m device-ID qfile

DESCRIPTION
pagesend is the program that implements the IXO/TAP and the UCP transmission protocol for the HylaFAX system. pagesend is invoked by the faxq scheduler process for each pager transmit attempt. pagesend assumes that its current working directory is the top of the spooling hierarchy and that a suitable modem device has been allocated for its use. In normal use pagesend will inherit a lockfile for the modem from the faxq process. The format of the job description file specified on the command line is described in sendq(5F).

pagesend initializes the modem before attempting to transmit the pager message using the information in the appropriate modem configuration file. If the modem does not respond to this initialization, pagesend will repeatedly try to initialize the modem. This behaviour is required for send-only environments in which a faxgetty(8C) process is not run (and the modem would be known to be in a properly initialized state). pagesend catches SIGINT and SIGTERM and cleans up any resources it controls; this is the mechanism used by faxq to abort a job while it is in progress.

Many aspects of pagesend operation are controlled through a configuration file. The configuration file is located in the spooler hierarchy in the etc subdirectory and is named config.device-ID; consult hylafax-config(5F) for detailed information on the contents of configuration files.

The protocol which must be used for a specific service provider is controlled from the hylafax-info(5F) file.

OPTIONS

-B  Do not increment the various ``dials'' counters if a busy signal is encountered.

-c config
    Treat config as a configuration parameter specification that is interpreted after reading the per-device configuration file. For example, ``-c sessiontracing:0x4f'' would set the SessionTracing configuration parameter to ``0x4f'', overriding any setting in the configuration file.

-m devID
    The device to use in processing the job. Note that this is a device identifier and not the pathname of the tty special file. A device identifier is formed from a device filename by removing any leading ``/dev/'' and converting any ``/'' characters to ``_'' characters.

-l  Do the UUCP lockfile protocol in pagesend. By default pagesend assumes that it is invoked with the device already locked and that it does not need to manage the lockfile.

-p  Do not change the process priority when transmitting. Normally pagesend will raise its priority to reduce i/o latency. This option is useful for debugging.

NOTES
pagesend returns the new job status to faxq through the exit(2) return value of the process: send_retry (0), retry job; send_failed (1), job finished without success, send_done (2), job completed successfully, send_reformat (3), job should be retried after documents are reformatted.

FILES
/var/spool/hylafax/etc/config.devID    device-specific configuration file

Consult hylafax-server(5F) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
faxq(8C), hylafax-server(5F), hylafax-config(5F), hylafax-info(5F)